This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 469625 - Review Request: perl-MooseX-Types-Path-Class - A Path::Class type library for Moose
Review Request: perl-MooseX-Types-Path-Class - A Path::Class type library for...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Ty...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 02:45 EST by Chris Weyl
Modified: 2008-11-21 15:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 15:15:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-03 02:45:45 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-Path-Class.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-Path-Class-0.05-1.fc9.src.rpm

Description:
MooseX::Types::Path::Class creates common Moose types, coercions and option
specifications useful for dealing with Path::Class objects as Moose attributes.

Coercions (see Moose::Util::TypeConstraints) are made from both 'Str' and
'ArrayRef' to both Path::Class::Dir and Path::Class::File objects.  If you
have MooseX::Getopt installed, the Getopt option type ("=s") will be added
for both Path::Class::Dir and Path::Class::File.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=915263

Note You need to log in before you can comment on or make changes to this bug.